Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQDataFactory

All Known Subinterfaces:
  XQConnection, XQDataSource

All Known Implementing Classes:
  SaxonXQConnection, SaxonXQDataFactory, SaxonXQDataSource

    public interface XQDataFactory

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`XQItemType` | `createAtomicItemType(int baseType)`
`XQItem` | `createItem(XQItem item)`
`XQItem` | `createItemFromAtomicValue(String value, XQItemType type)`
`XQItem` | `createItemFromBoolean(boolean value, XQItemType type)`
`XQItem` | `createItemFromByte(byte value, XQItemType type)`
`XQItem` | `createItemFromDocument(InputSource value)`
`XQItem` | `createItemFromDouble(double value, XQItemType type)`
`XQItem` | `createItemFromFloat(float value, XQItemType type)`
`XQItem` | `createItemFromInt(int value, XQItemType type)`
`XQItem` | `createItemFromLong(long value, XQItemType type)`
`XQItem` | `createItemFromNode(Node value, XQItemType type)`
`XQItem` | `createItemFromObject(Object value, XQItemType type)`
`XQItem` | `createItemFromShort(short value, XQItemType type)`
`XQItemType` | `createItemType(int itemkind, int basetype, QName nodename)`
`XQItemType` | `createItemType(int itemkind, int basetype, QName nodename, QName typename, URI schemaURI, boolean nillable)`
`XQSequence` | `createSequence(Iterator i)`
`XQSequence` | `createSequence(XQSequence s)`
`XQSequenceType` | `createSequenceType(XQItemType item, int occurrence)`

Method Detail

### createAtomicItemType

    XQItemType createAtomicItemType(int baseType)
                                    throws XQException

  Throws:
    `XQException`

### createItem

    XQItem createItem(XQItem item)
                      throws XQException

  Throws:
    `XQException`

### createItemFromAtomicValue

    XQItem createItemFromAtomicValue(String value,
                                     XQItemType type)
                                     throws XQException

  Throws:
    `XQException`

### createItemFromBoolean

    XQItem createItemFromBoolean(boolean value,
                                 XQItemType type)
                                 throws XQException

  Throws:
    `XQException`

### createItemFromByte

    XQItem createItemFromByte(byte value,
                              XQItemType type)
                              throws XQException

  Throws:
    `XQException`

### createItemFromDocument

    XQItem createItemFromDocument(InputSource value)
                                  throws XQException,
                                         IOException

  Throws:
    `XQException`
    `IOException`

### createItemFromDouble

    XQItem createItemFromDouble(double value,
                                XQItemType type)
                                throws XQException

  Throws:
    `XQException`

### createItemFromFloat

    XQItem createItemFromFloat(float value,
                               XQItemType type)
                               throws XQException

  Throws:
    `XQException`

### createItemFromInt

    XQItem createItemFromInt(int value,
                             XQItemType type)
                             throws XQException

  Throws:
    `XQException`

### createItemFromLong

    XQItem createItemFromLong(long value,
                              XQItemType type)
                              throws XQException

  Throws:
    `XQException`

### createItemFromNode

    XQItem createItemFromNode(Node value,
                              XQItemType type)
                              throws XQException

  Throws:
    `XQException`

### createItemFromObject

    XQItem createItemFromObject(Object value,
                                XQItemType type)
                                throws XQException

  Throws:
    `XQException`

### createItemFromShort

    XQItem createItemFromShort(short value,
                               XQItemType type)
                               throws XQException

  Throws:
    `XQException`

### createItemType

    XQItemType createItemType(int itemkind,
                              int basetype,
                              QName nodename)
                              throws XQException

  Throws:
    `XQException`

### createItemType

    XQItemType createItemType(int itemkind,
                              int basetype,
                              QName nodename,
                              QName typename,
                              URI schemaURI,
                              boolean nillable)
                              throws XQException

  Throws:
    `XQException`

### createSequence

    XQSequence createSequence(Iterator i)
                              throws XQException

  Throws:
    `XQException`

### createSequence

    XQSequence createSequence(XQSequence s)
                              throws XQException

  Throws:
    `XQException`

### createSequenceType

    XQSequenceType createSequenceType(XQItemType item,
                                      int occurrence)
                                      throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.